Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005027ProcessMaker [Community]1.C . . . . OS & System Configurationpublic2010-07-19 11:262012-12-12 09:28
Reporteramosbatto 
Assigned To 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionProcessMaker v1.6-4142RC 
Target VersionFixed in Version 
Summary0005027: sysGeneric.php overwrites the php.ini "memory_limit" setting
DescriptionSome users want to set their PHP memory_limit to something larger than 80MB, but sysGeneric.php automatically resets the memory_limit to 80MB, so the memory_limit settings that people up in their php.ini file are overwritten.

sysGeneric.php should ONLY overwrite the memory_limit, if the memory_limit is less than 80MB.

In the file, workflow/public_html/sysGeneric.php, replace:

 ini_set('memory_limit', '80M');

With:

 $sLimit = strtolower(trim(ini_get('memory_limit')));
 $nLimit = floatval($sLimit);
 $unit = $sLimit[strlen($sLimit) - 1];
 switch($unit)
 {
    case 'g':
       $nLimit *= 1024*1024*1024;
    case 'm':
       $nLimit *= 1024*1024;
    case 'k':
       $nLimit *= 1024;
 }
 if ($nLimit < 80*1024*1024)
 {
    ini_set('memory_limit', '80M');
 }
TagsNo tags attached.
New Feature RequestNo
QA-Test Case ID
Attached Files

- Relationships

-  Notes
(0009304)
hmerida (viewer)
2011-01-11 16:34

thanks for your feedback,

the idea is create a new config file for the server, in that server we can setup this kind of parameters,

so in this way any admin user can setup the memory_limit and other params according his needs.
(0011800)
amosbatto (reporter)
2011-05-04 12:54

I filed this bug report 10 months ago. Until we create a new config file for PM, can you please just add my code. It will fix the problem TODAY, not wait for 10 months.
(0011973)
alexandre (reporter)
2011-05-23 13:23
edited on: 2011-06-03 11:22

ProcessMaker now supports a configuration file in workflow/engine/config/env.ini which allows users to set configuration options without changing the code.
Commit 150b71 in master and commit 627db2 in 2.0.

The values currently supported together with their default values are:
- 'debug' => 0
- 'debug_sql' => 0
- 'debug_time' => 0
- 'debug_calendar' => 0
- 'wsdl_cache' => 1
- 'memory_limit' => '100M'

(0012166)
alexandre (reporter)
2011-06-01 10:58

In version 2.0.29 we will also support time_zone as a value in env.ini

- Issue History
Date Modified Username Field Change
2010-07-19 11:26 amosbatto New Issue
2010-07-19 11:26 amosbatto Status new => assigned
2010-07-19 11:26 amosbatto Assigned To => fernando
2010-07-19 11:26 amosbatto New Feature Request => No
2010-11-15 17:13 marco Priority normal => immediate
2011-01-11 16:34 hmerida Note Added: 0009304
2011-01-11 16:34 hmerida Assigned To fernando => erik
2011-01-11 16:34 hmerida Status assigned => confirmed
2011-05-04 12:54 amosbatto Note Added: 0011800
2011-05-23 13:23 alexandre Note Added: 0011973
2011-05-23 13:23 alexandre Status confirmed => resolved
2011-05-23 13:23 alexandre Resolution open => fixed
2011-05-23 13:23 alexandre Assigned To erik => alexandre
2011-06-01 10:58 alexandre Note Added: 0012166
2011-06-03 11:22 alexandre Note Edited: 0011973 View Revisions
2012-12-12 09:28 lizalina Status resolved => closed
2012-12-12 09:28 lizalina Assigned To alexandre =>


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker